Commit d1f8e120 authored by Friedemann Kleint's avatar Friedemann Kleint Committed by hjk
Browse files

Fix messages in Qt4ProjectManager.



- 'can not' -> 'cannot'.
- Make messages about toolchain not being able to build for
  Qt version more verbose, listing the ABIs.

Change-Id: If72fec7ba08c7c0c9fb173a1f264691fc24c43dc
Reviewed-by: default avatarhjk <qthjk@ovi.com>
parent 1b9cf766
......@@ -214,7 +214,7 @@ void Qt4ProjectConfigWidget::updateProblemLabel()
if (!version) {
m_ui->problemLabel->setVisible(true);
m_ui->warningLabel->setVisible(true);
m_ui->problemLabel->setText(tr("This target can not build this project since it does not define a "
m_ui->problemLabel->setText(tr("This target cannot build this project since it does not define a "
"Qt version."));
return;
}
......
......@@ -150,7 +150,7 @@ void TargetSetupPageWrapper::updateNoteText()
QString text;
if (!p)
text = tr("<p>The project <b>%1</b> is not yet configured.</p>"
"<p>Qt Creator can not parse the project, because no profile "
"<p>Qt Creator cannot parse the project, because no profile "
"has been setup. You can setup profiles "
"in the <b><a href=\"edit\">settings.</a></b></p>")
.arg(m_project->displayName());
......
......@@ -306,11 +306,25 @@ QList<ProjectExplorer::Task> BaseQtVersion::validateProfile(const ProjectExplore
Utils::FileName(), -1,
Core::Id(ProjectExplorer::Constants::TASK_CATEGORY_BUILDSYSTEM));
if (tc && !version->qtAbis().contains(tc->targetAbi()))
const QList<ProjectExplorer::Abi> qtAbis = version->qtAbis();
if (tc && !qtAbis.contains(tc->targetAbi())) {
QString qtAbiString;
foreach (const ProjectExplorer::Abi &qtAbi, qtAbis) {
if (!qtAbiString.isEmpty())
qtAbiString.append(QLatin1Char(' '));
qtAbiString.append(qtAbi.toString());
}
const QString message = QCoreApplication::translate("BaseQtVersion",
"The tool chain '%1' (%2) cannot produce code for the Qt version '%3' (%4).").
arg(tc->displayName(),
tc->targetAbi().toString(),
version->displayName(),
qtAbiString);
result << ProjectExplorer::Task(ProjectExplorer::Task::Error,
QCoreApplication::translate("BaseQtVersion", "Tool chain can not produce code for the Qt version."),
Utils::FileName(), -1,
message, Utils::FileName(), -1,
Core::Id(ProjectExplorer::Constants::TASK_CATEGORY_BUILDSYSTEM));
} // Abi mismatch
return result;
}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment